# djmclean HTML Screensaver
# 2011-2020 foo.li systeme + software

$package        = 'htmlscreensaver'
$packageName    = $package
$packageSearch  = 'HtmlScreenSaver*'
$version        = '3.0.1.99'
$fileType       = 'msi'
$silentArgs     = '/qn /norestart'
#$url            = 'https://www.djmclean.net/software/HtmlScreenSaver_3.0.msi'
$bin            = 'HtmlScreenSaver_3.0.msi'
$scriptPath     =  $(Split-Path $MyInvocation.MyCommand.Path)
$url		= Join-Path $scriptPath $bin
$url64          = $url
$validExitCodes = @(0,3010)
$checksum       = 'a88b98e5dbbc9df5a48dcb1c7232bbce243a0eae'
$checksumType   = 'sha1'

try {
    $app = Get-ItemProperty -Path @('HKLM:\Software\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\*',
                                    'HKLM:\Software\Microsoft\Windows\CurrentVersion\Uninstall\*')`
            -ErrorAction:SilentlyContinue | Where-Object { $_.DisplayName -like $packageSearch }
    if ($app -and ([version]$app.DisplayVersion -ge [version]$version)) {
        Write-Output $(
        "HtmlScreenSaver " + $version + " or higher is already installed.`r`n" +
        "No need to download and install again. Otherwise uninstall first."
        )
    } else {
    Install-ChocolateyPackage -PackageName "$packageName" `
                              -FileType "$fileType" `
                              -Url "$url" `
                              -Url64bit "$url64" `
                              -SilentArgs "$silentArgs" `
                              -ValidExitCodes $validExitCodes `
                              -checksum $checksum -checksumType $checksumType `
                              -checksum64 $checksum -checksumType64 $checksumType
    }
} catch {
    throw $_.Exception
}
